# $Revision: 1.23 $, $Date: 2010/04/03 17:19:51 $
Summary:	IP bandwidth watchdog
Summary(pl.UTF-8):	Monitor ruchu IP
Name:		ipband
Version:	0.8
Release:	2
License:	GPL
Group:		Networking/Utilities
Source0:	http://ipband.sourceforge.net/%{name}-%{version}.tgz
# Source0-md5:	a43dc863c044e7e5665d3e16d4c49770
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-PLD_rc.patch
Patch2:		%{name}-paths.patch
URL:		http://ipband.sourceforge.net/
BuildRequires:	libpcap-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/ipband

%description
ipband is pcap based IP traffic monitor. It listens to a network
interface in promiscuous mode, tallies per-subnet traffic and
bandwidth usage and starts detailed logging if specified threshold for
the specific subnet is exceeded.

This utility could be handy in a limited bandwidth WAN environment
(frame relay, ISDN etc. circuits) to pinpoint offending traffic source
if certain links become saturated to the point where legitimate
packets start getting dropped.

%description -l pl.UTF-8
ipband jest bazującym na pcap monitorem ruchu IP. Słucha na
interfejsie sieciowym w trybie promiscuous, liczy ruch przypadający na
podsieci oraz wykorzystanie pasma i zaczyna szczegółowe logowanie
jeżeli podany próg dla danej podsieci zostanie przekroczony.

To narzędzie może być pomocne w środowisku WAN (frame relay, ISDN) z
ograniczonym pasmem do wykrywania źródła nadmiernego ruchu, kiedy
niektóre łącza stają się wysycone do takiego stopnia, że gubione są
poprawne pakiety.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/var/log

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

touch $RPM_BUILD_ROOT/var/log/ipband.log

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ipband
%service ipband restart "ipband daemon"

%preun
if [ "$1" = "0" ]; then
	%service ipband stop
	/sbin/chkconfig --del ipband
fi

%files
%defattr(644,root,root,755)
%doc CHANGELOG README
%attr(755,root,root) %{_bindir}/ipband
%dir %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ipband.conf
%attr(754,root,root) /etc/rc.d/init.d/ipband
%attr(640,root,root) %ghost /var/log/ipband.log
%{_mandir}/man1/ipband.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ipband.spec,v $
Revision 1.23  2010/04/03 17:19:51  glen
- release 2

Revision 1.22  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.20  2006/10/03 08:29:40  paszczus
- updated to 0.8
- updated ipband-DESTDIR.patch and ipband-paths.patch

Revision 1.19  2006/07/13 01:31:12  darekr
- pass CC, added %doc

Revision 1.18  2006/05/21 16:05:19  glen
- rel 4

Revision 1.17  2006/03/02 23:01:11  glen
- use %service and adapterize

Revision 1.16  2005/12/12 16:24:19  glen
- adapterized (sorted %verify attrs)

Revision 1.15  2003/12/31 10:15:41  gotar
- added _sysconfdir (/etc/ipband) to the %files,
- release 3

Revision 1.14  2003/08/22 15:44:04  ankry
- cosmetics: spaces -> tabs

Revision 1.13  2003/07/29 15:45:00  qboosh
- more specific Requires, more changes where needed

Revision 1.12  2003/05/28 12:59:11  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 05:48:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2002/11/11 11:06:53  kloczek
- release 2.

Revision 1.9  2002/04/25 16:36:58  arturs
fixed a small typo

Revision 1.8  2002/04/08 10:49:09  pioklo
- up to 0.7.2

Revision 1.7  2002/02/23 02:59:07  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/12 12:58:44  grzegorz
- added %%ghost /var/log/ipband.log

Revision 1.4  2002/02/12 12:55:59  grzegorz
- added %{name}-paths.patch
- STBR

Revision 1.3  2002/02/12 12:51:40  qboosh
- pl translation, release 2

Revision 1.2  2002/02/12 10:30:28  kloczek
- cosmetics.

Revision 1.1  2002/02/12 10:22:32  grzegorz
- initial PLD spec
- release 1
